Xeonr Developer Docs
API SpecificationUploads

List uploads

POST
/uplim.api.v1.BucketUploadsService/ListUploads

Lists uploads in a bucket with optional filtering by path, date, and tags. Supports cursor-based pagination.

Authorization

OAuth2 upl:bucket:read
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:bucket:read

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?|

Reference to the bucket to list uploads from

path?string|null

Optional path to filter uploads

year?integer|nullDeprecated

Deprecated: Use date_from/date_to instead

Formatint32
month?integer|nullDeprecated

Deprecated: Use date_from/date_to instead

Formatint32
tags?tags

Optional tags to filter uploads

dateFrom?google.protobuf.Timestamp|null

Start of date range filter (inclusive)

dateTo?google.protobuf.Timestamp|null

End of date range filter (inclusive)

search?string|null

Filter by filename or slug (server-side ILIKE / prefix match)

sortBy?string|null

Field to sort by: "created_at" (default), "updated_at", "filename", "size_bytes", "order"

sortOrder?string|null

Sort order: "asc" or "desc" (default "desc")

cursor*string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/ListUploads" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{    "cursor": "string"  }'
{
  "uploads": [
    {
      "uploadId": "string",
      "filename": "string",
      "path": "string",
      "slug": "string",
      "url": "string",
      "contentUrl": "string",
      "sizeBytes": 0,
      "type": "UPLOAD_TYPE_UNSPECIFIED",
      "tags": [
        "string"
      ],
      "integrationId": "497a18ca-284e-40c0-985d-f72be35d468e",
      "integration": {
        "integrationId": "string",
        "name": "string",
        "oauthClientId": "string",
        "folderBehavior": "INTEGRATION_FOLDER_BEHAVIOR_UNSPECIFIED",
        "folderLinkUrl": "string"
      },
      "allowAnyExtension": true,
      "defaultSlugExtension": "string",
      "generatedDescription": "string",
      "metaUploads": [
        {
          "type": {
            "type": "MetaUploadType_UNSPECIFIED",
            "n": 0,
            "filename": "string"
          },
          "metadataId": "string",
          "uploadUrl": "string",
          "downloadUrl": "string"
        }
      ],
      "private": true,
      "aliases": [
        {
          "aliasId": "string",
          "uploadId": "string",
          "path": "string",
          "slug": "string",
          "url": "string",
          "hasPassword": true,
          "expiresAt": "2023-01-15T01:30:15.01Z",
          "maxUses": 0,
          "useCount": 0,
          "allowedUserIds": [
            0
          ],
          "createdAt": "2023-01-15T01:30:15.01Z",
          "externalPath": "string"
        }
      ],
      "createdAt": "2023-01-15T01:30:15.01Z",
      "updatedAt": "2023-01-15T01:30:15.01Z",
      "author": {
        "userId": 0,
        "username": "string"
      },
      "lastModifiedBy": {
        "userId": 0,
        "username": "string"
      },
      "thumbnailGenerationVersion": 0,
      "aiDescriptionGenerationVersion": 0,
      "aiTagsGenerationVersion": 0,
      "virusScanGenerationVersion": 0,
      "aiDescriptionInputRef": "string",
      "intentMetadata": {
        "property1": {},
        "property2": {}
      },
      "externalPath": "string",
      "order": 0,
      "isVirtualFile": true,
      "integrationHidden": true
    }
  ],
  "nextCursor": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}